CREATE SEQUENCE transponder_log_id_sequence START WITH 1000000 INCREMENT BY 1;


create or replace
TRIGGER transponder_log_insert_trigger
BEFORE INSERT
ON transponder_log
REFERENCING NEW AS NEW
FOR EACH ROW
BEGIN
 IF (:NEW.ID IS NULL) THEN
      SELECT transponder_log_id_sequence.nextval INTO :NEW.ID FROM dual;;
	END IF;;
END;;
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (237, SYSDATE, '5.5', 157, 'Autoincrement transponder_log.id');