alter table M_NNKATEG
  MODIFY SIFRA varchar2(3) NOT NULL;

CREATE TABLE M_STORITVE_TG_LOG ( 
  TIP		    VARCHAR2(1)   NOT NULL,
  PROGRAM           VARCHAR2(250),
  POSTAJA           VARCHAR2(100),
  ID_STORITVE       NUMBER, 
  ID_DN             NUMBER, 
  ID_POGODBE        NUMBER, 
  ID_VPS            NUMBER, 
  VRSTA             VARCHAR2 (2), 
  ID_LASTNIKA       NUMBER, 
  ID_PLOVILA        NUMBER, 
  STORITEV          VARCHAR2 (6), 
  KAT               VARCHAR2 (3), 
  TIMEKAT           VARCHAR2 (3), 
  PROCKAT           VARCHAR2 (3), 
  DATUM_OD          DATE, 
  DATUM_DO          DATE, 
  KOLICINA          NUMBER, 
  POPUST            NUMBER, 
  ZNESEK            NUMBER, 
  VALUTA            VARCHAR2 (3), 
  TECAJ             NUMBER, 
  DAVEK             NUMBER, 
  N_PONUDBE         VARCHAR2 (10), 
  N_RACUNA          VARCHAR2 (10), 
  DATUM_RACUNA      DATE, 
  ZAKLJUCEN         NUMBER, 
  KOMENTAR          VARCHAR2 (250), 
  DATUM_KREIRANJA   DATE, 
  USER_KREIRANJA    VARCHAR2 (20), 
  DATUM_SPREMEMBE   DATE, 
  USER_SPREMEMBE    VARCHAR2 (20), 
  TIP_SERVIS        VARCHAR2 (6), 
  OPIS_SERVIS       VARCHAR2 (6), 
  AUTO              VARCHAR2 (1), 
  POPUST1           NUMBER, 
  POPUST2           NUMBER, 
  NAMENP            NUMBER, 
  NAMENP1           NUMBER, 
  NAMENP2           NUMBER, 
  TECAJP            NUMBER, 
  DODATNA_STORITEV  VARCHAR2 (6), 
  DOMACA_VALUTA     CHAR (1), 
  PROVIZIJA         NUMBER, 
  DRZAVA            VARCHAR2 (3), 
  SKUPAJ_OSEB       NUMBER, 
  ID_KAT            NUMBER); 

ALTER TABLE NNDRZAVE
  ADD RACUN_RPT varchar2(100);

update NNDRZAVE set RACUN_RPT='RacunMVPH.rpt' where SIFRA IN ('003');
update NNDRZAVE set RACUN_RPT='RacunMVPI.rpt' where SIFRA IN ('380');
update NNDRZAVE set RACUN_RPT='RacunMVPS.rpt' where SIFRA IN ('005');
update NNDRZAVE set RACUN_RPT='RacunMVPN.rpt' where SIFRA IN ('280','040');
update NNDRZAVE set RACUN_RPT='RacunMVPE.rpt' where RACUN_RPT IS NULL;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (133, SYSDATE, '5.5', 53, 'AVT. FAK. RPT');