CREATE OR REPLACE VIEW V_STORITVE_VALUE AS (
  SELECT M.ID_STORITVE, 
  M.ZNESEK * (1-COALESCE(M.POPUST, 0) / 100) * (1-COALESCE(M.POPUST1, 0) / 100) * (1-COALESCE(M.POPUST2, 0) / 100) * (1-COALESCE(M.PROVIZIJA, 0) / 100) AS NETO_DOMACA_VREDNOST,
  M.ZNESEK * (1-COALESCE(M.POPUST, 0) / 100) * (1-COALESCE(M.POPUST1, 0) / 100) * (1-COALESCE(M.POPUST2, 0) / 100) * (1-COALESCE(M.PROVIZIJA, 0) / 100)* (1+COALESCE(M.DAVEK, 0) / 100) AS BRUTO_DOMACA_VREDNOST,
  (CASE COALESCE(DOMACA_VALUTA,'D') 
  WHEN 'N' THEN (SELECT COALESCE(TECAJ,1) FROM TECAJ WHERE NVALUTA=(SELECT COALESCE(TUJAVALUTA,'') FROM PARAM) AND DATUM=TRUNC(SYSDATE))*M.ZNESEK * (1-COALESCE(M.POPUST, 0) / 100) * (1-COALESCE(M.POPUST1, 0) / 100) * (1-COALESCE(M.POPUST2, 0) / 100) * (1-COALESCE(M.PROVIZIJA, 0) / 100) / COALESCE(TECAJP, 1)
  ELSE M.ZNESEK * (1-COALESCE(M.POPUST, 0) / 100) * (1-COALESCE(M.POPUST1, 0) / 100) * (1-COALESCE(M.POPUST2, 0) / 100) * (1-COALESCE(M.PROVIZIJA, 0) / 100)
  END) AS NETO_VREDNOST_RACUN,
  (CASE COALESCE(DOMACA_VALUTA,'D') 
  WHEN 'N' THEN (SELECT COALESCE(TECAJ,1) FROM TECAJ WHERE NVALUTA=(SELECT COALESCE(TUJAVALUTA,'') FROM PARAM) AND DATUM=TRUNC(SYSDATE))*M.ZNESEK * (1-COALESCE(M.POPUST, 0) / 100) * (1-COALESCE(M.POPUST1, 0) / 100) * (1-COALESCE(M.POPUST2, 0) / 100) * (1-COALESCE(M.PROVIZIJA, 0) / 100) * (1+COALESCE(M.DAVEK, 0) / 100) / COALESCE(TECAJP, 1)
  ELSE M.ZNESEK * (1-COALESCE(M.POPUST, 0) / 100) * (1-COALESCE(M.POPUST1, 0) / 100) * (1-COALESCE(M.POPUST2, 0) / 100) * (1-COALESCE(M.PROVIZIJA, 0) / 100) * (1+COALESCE(M.DAVEK, 0) / 100)
  END) AS BRUTO_VREDNOST_RACUN
  FROM M_STORITVE M
)
;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1423, SYSDATE, '5.5', 1343, 'vrednosti storitev')
;