CREATE OR REPLACE VIEW V_KONT_OSB_LASTNIK AS (
	SELECT CONCAT(CONCAT(K.ID_LASTNIKA, '-'), K.ID_OSEBE) AS ID_V_KONT_OSB_LASTNIK, K.ID_LASTNIKA, K.ID_OSEBE, K.ODNOS, K.DEPANDENT, K.HAS_MEMB_CARD, K.CAN_SIGN_INVOICE, K.CREW_ID, K.VELJA_DO,
  NNODNOS.OPIS AS NNODNOS_OPIS, NNODNOS.INTERNI_OPIS AS NNODNOS_INTERNI_OPIS,
  KUPCI_LASTNIK.PRIIMEK AS LASTNIK_PRIIMEK, KUPCI_LASTNIK.IME AS LASTNIK_IME, KUPCI_LASTNIK.ID_MEMBER AS LASTNIK_ID_MEMBER, 
  KUPCI_LASTNIK.NASLOV AS LASTNIK_NASLOV, KUPCI_LASTNIK.MESTO AS LASTNIK_MESTO, KUPCI_LASTNIK.POSTA AS LASTNIK_POSTA,
  KUPCI_OSEBA.PRIIMEK AS OSEBA_PRIIMEK, KUPCI_OSEBA.IME AS OSEBA_IME, KUPCI_OSEBA.ID_MEMBER AS OSEBA_ID_MEMBER,
  KUPCI_OSEBA.NASLOV AS OSEBA_NASLOV, KUPCI_OSEBA.MESTO AS OSEBA_MESTO, KUPCI_OSEBA.POSTA AS OSEBA_POSTA
	FROM KONT_OSB_LASTNIK K
 	LEFT OUTER JOIN KUPCI KUPCI_LASTNIK ON K.ID_LASTNIKA = KUPCI_LASTNIK.ID
  LEFT OUTER JOIN KUPCI KUPCI_OSEBA ON K.ID_OSEBE = KUPCI_OSEBA.ID
  LEFT OUTER JOIN NNODNOS NNODNOS ON K.ODNOS = NNODNOS.SIFRA
);

ALTER TABLE SC_EVENTPARATT
ADD PRICE_ATTENDANCE NUMBER;

CREATE OR REPLACE VIEW V_SC_EVENTPARATT AS (
	SELECT DISTINCT E.ID AS SC_EVENTPARATT_ID, E.SC_EVENTPAR_ID, E.ATT_DATE, E.ID_STORITVE, E.PAYER_ID, E.PRICE_ATTENDANCE,
  M.N_RACUNA AS M_STORITVE_N_RACUNA, S.ZAPRTO AS SALDKONT_ZAPRTO,
  P.IME AS PAYER_IME, P.PRIIMEK AS PAYER_PRIIMEK, P.ID_MEMBER AS PAYER_ID_MEMBER, P.YACHT_CLUB_ID AS PAYER_YACHT_CLUB_ID
	FROM SC_EVENTPARATT E
  LEFT OUTER JOIN M_STORITVE M ON M.ID_STORITVE = E.ID_STORITVE
  LEFT OUTER JOIN RACUN_DATA R ON R.ID_STORITVE = E.ID_STORITVE AND (R.ZAP_ST IS NULL OR R.ZAP_ST = 1)
  LEFT OUTER JOIN SALDKONT S ON S.ID_SALDKONT = R.ID_SALDKONT 
  LEFT OUTER JOIN KUPCI P ON P.ID = E.PAYER_ID
);


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (610, SYSDATE, '5.5', 530, 'SC');
