CREATE OR REPLACE VIEW V_KUPCI_CORRESPONDENCE
AS (
SELECT KK.ID AS ID_KUPCI_CORRESPONDENCE, KK.ID_KUPCA, KK.VRSTA_CORR, KK.NASLOV, KK.POSTA, KK.KRAJ, KK.NDRZAVA, KK.PREFERRED, KK.AKT, KK.COMPANY_NAME, KK.NATURE_OF_BUSINESS, 
DR.OPIS AS NNDRZAVE_OPIS, DR.INTERNI_OPIS AS NNDRZAVE_INTERNI_OPIS, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, K.ID_MEMBER AS KUPCI_ID_MEMBER, 
VR.TIP AS NNVRSCORR_TIP, VR.OPIS AS NNVRSCORR_OPIS, VR.INTERNI_OPIS AS NNVRSCORR_INTERNI_OPIS, VR.AKT AS NNVRSCORR_AKT
FROM KUPCI_CORRESPONDENCE KK
JOIN KUPCI K ON K.ID = KK.ID_KUPCA
LEFT OUTER JOIN NNDRZAVE DR ON DR.SIFRA = KK.NDRZAVA
LEFT OUTER JOIN NNVRSCORR VR ON VR.SIFRA = KK.VRSTA_CORR
);

INSERT INTO NNVRSCORR (SIFRA, TIP, OPIS, INTERNI_OPIS, AKT)
VALUES
('998', 'O', 'Other', 'Other', 'N');

ALTER TABLE ACTIVITIES_MAIL
ADD VRSTA_CORR VARCHAR2(3 CHAR);

ALTER TABLE ACTIVITIES_MAIL
ADD ID_KUPCI_CORRESPONDENCE NUMBER;

CREATE OR REPLACE VIEW V_ACTIVITIES_MAIL AS (
	SELECT AM.ID AS ID_ACTIVITIES_MAIL, AM.ID_KUPCA, AM.SIFRA_AKTIVNOSTI, AM.AKT, AM.VRSTA_CORR, AM.ID_KUPCI_CORRESPONDENCE,
  K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME, NA.OPIS AS NNACTIVITIES_OPIS, NA.INTERNI_OPIS AS NNACTIVITIES_INTERNI_OPIS, NA.AKT AS NNACTIVITIES_AKT, 
  NV.OPIS AS NNVRSCORR_OPIS, NV.INTERNI_OPIS AS NNVRSCORR_INTERNI_OPIS,
  KC.VRSTA_CORR AS KUPCI_CORR_VRSTA_CORR, KC.NASLOV AS KUPCI_CORR_NASLOV, KC.POSTA AS KUPCI_CORR_POSTA, KC.KRAJ AS KUPCI_CORR_KRAJ, KC.NDRZAVA AS KUPCI_CORR_NDRZAVA 
	FROM ACTIVITIES_MAIL AM
 	LEFT OUTER JOIN KUPCI K ON K.ID = AM.ID_KUPCA
  LEFT OUTER JOIN NNACTIVITIES NA ON NA.SIFRA = AM.SIFRA_AKTIVNOSTI
  LEFT OUTER JOIN NNVRSCORR NV ON NV.SIFRA = AM.VRSTA_CORR
  LEFT OUTER JOIN KUPCI_CORRESPONDENCE KC ON KC.ID = AM.ID_KUPCI_CORRESPONDENCE
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (645, SYSDATE, '5.5', 565, 'CRM Mailing');