CREATE OR REPLACE VIEW V_POROCILA AS (
SELECT P.ID_POROCILA, P.ID_KATEGORIJA, P.ID_POROCILA_RPT, P.STEVILKA_POR, P.NASLOV_POR, P.DATOTEKA_POR, P.OPIS_POROCILA, P.FILTER_POROCILA, P.INTERNI_OPIS, P.ID_TIMER_DATA,
TD.TIMER_ID AS TIMER_DATA_TIMER_ID, TD.DESCRIPTION AS TIMER_DATA_DESCRIPTION, TD.INTERNAL_DESCRIPTION AS TIMER_DATA_INTERNAL_DESC,
KA.OPIS_KATEGORIJE AS KATEGORIJE_OPIS_KATEGORIJE, KA.INTERNI_OPIS AS KATEGORIJE_INTERNI_OPIS, KA.PROGRAM AS KATEGORIJE_PROGRAM
FROM POROCILA P
LEFT OUTER JOIN KATEGORIJE KA ON KA.ID_KATEGORIJA = P.ID_KATEGORIJA
LEFT OUTER JOIN TIMER_DATA TD ON TD.ID_TIMER_DATA = P.ID_TIMER_DATA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (821, SYSDATE, '5.5', 741, 'VPorocila');